<?php

/**
 * La classe DatabaseException définit l'ensemble des exceptions pouvant être renvoyées
 * par les appels à la base de données
 */

 
 class DatabaseException extends Exception
 {
	// Constructor with code only
    public function __construct($table, $code) {
        parent::__construct("Database Exception in table ".$table, $code);
    }

    // custom string representation of object
    public function __toString() {
        return __CLASS__ . ": [{$this->message}]: {$this->code}\n";
    }

 }
 
 ?>